locked
CPSDYN Upgrade error RRS feed

  • Question

  • Hi, this keeps appearing in the event logs. The odd thing is that its complaining it needs an upgrade when the Expected build is lower than the actual build?

    Thanks


    Phil

    Friday, December 21, 2018 2:49 PM

All replies

  • Hi Phil,

    You need to update the backend database at last when you install CU1 for Lync/SFN Server. You need to run the following command:
    For Lync/SFB Server Standard Edition:
    Install-CsDatabase -ConfiguredDatabases -SqlServerFqdn frontendserver.fqdn -Verbose
    For Lync/SFB Server Enterprise Edition:
    Install-CsDatabase -ConfiguredDatabases -SqlServerFqdn sqlserver.fqdn -Verbose

    Details about this you could refer to the following blog: Lync Server 2013 Error after applying CU1

    Note: This response contains a reference to a third party World Wide Web site. Microsoft can make no representation concerning the content of these sites. Microsoft is providing this information only as a convenience to you: this is to inform you that Microsoft has not tested any software or information found on these sites and therefore cannot make any representations regarding the quality, safety, or suitability of any software or information found there. There are inherent dangers in the use of any software found on the Internet, and Microsoft cautions you to make sure that you completely understand the risk before retrieving any software on the Internet.

    Best Regards,
    Evan Jiang


    Please remember to mark the replies as answers if they helped. If you have feedback for TechNet Subscriber Support, contact tnsf@microsoft.com.


    Click here to learn more. Visit the dedicated forum to share, explore and talk to experts about Microsoft Teams.

    Monday, December 24, 2018 2:50 AM
  • Thanks Evan, but the issue is the Expected version is lower than the Actual version. I've tried the database upgrade cmd but this didn't fix it either.


    Phil

    Monday, December 24, 2018 7:02 AM
  • Hi Phil,

    You could run the following command check the version of SFB Server:
    Get-ItemProperty HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\* |  ?{$_.DisplayName -like “*Skype*”} | Sort-Object DisplayName | Select DisplayName, DisplayVersion, InstallDate | Format-Table -AutoSize

    If possible, you could try to update the SFB Server to the latest version, and then update the database, details you could refer to the following official document: Skype for Business downloads and updates

    Best Regards,
    Evan Jiang


    Please remember to mark the replies as answers if they helped. If you have feedback for TechNet Subscriber Support, contact tnsf@microsoft.com.


    Click here to learn more. Visit the dedicated forum to share, explore and talk to experts about Microsoft Teams.

    • Proposed as answer by woshixiaobai Thursday, December 27, 2018 9:02 AM
    • Unproposed as answer by Philip Luke Monday, December 31, 2018 1:55 PM
    Wednesday, December 26, 2018 2:49 AM
  • Hi Phil,

    Is there any update for this issue? If the reply is helpful to you, please try to mark it as an answer, it will help others who have the similar issue.

    Best Regards,
    Evan Jiang


    Please remember to mark the replies as answers if they helped. If you have feedback for TechNet Subscriber Support, contact tnsf@microsoft.com.


    Click here to learn more. Visit the dedicated forum to share, explore and talk to experts about Microsoft Teams.

    Friday, December 28, 2018 9:19 AM
  • Hi, sorry but this isnt the answer. The problem is that the expected version is lower than the Actual version. So, basically it is saying it needs to upgrade from the higher version to the lower version?

    Phil

    Monday, December 31, 2018 1:56 PM
  • Hi Phil,

    As this issue is caused by the version of SFB Server and backend SQL server, and after updating the backend database, this issue also occurs. So we highly recommend you to update the SFB Server to the latest version and check whether fix this issue.

    Best Regards,
    Evan Jiang


    Please remember to mark the replies as answers if they helped. If you have feedback for TechNet Subscriber Support, contact tnsf@microsoft.com.


    Click here to learn more. Visit the dedicated forum to share, explore and talk to experts about Microsoft Teams.

    Wednesday, January 2, 2019 6:24 AM
  • Hi Phil,

    Is there any update for this issue? 

    Best Regards,
    Evan Jiang


    Please remember to mark the replies as answers if they helped. If you have feedback for TechNet Subscriber Support, contact tnsf@microsoft.com.


    Click here to learn more. Visit the dedicated forum to share, explore and talk to experts about Microsoft Teams.

    Friday, January 4, 2019 5:22 AM
  • Hi, Im not sure how to progress really. We have deployed the latest CU across the servers, and carried out the powershell commands to upgrade the databases. As said, the issue is that the code thinks it needs an upgrade even though the actual version is higher than the expected version.

    Phil

    Friday, January 4, 2019 9:19 AM
  • Hi Phil,

    As this issue is caused by the SFB version and SQL version, I suggest you try to run the SkypeServerUpdateInstaller.exe in your environment to check the whether all the updates are installed, you could go to the following document to download it: Skype for Business Server 2015 Cumulative Update KB3061064

    Best Regards,
    Evan Jiang


    Please remember to mark the replies as answers if they helped. If you have feedback for TechNet Subscriber Support, contact tnsf@microsoft.com.


    Click here to learn more. Visit the dedicated forum to share, explore and talk to experts about Microsoft Teams.

    Tuesday, January 8, 2019 6:55 AM